cordova.define("com.google.cordova.plugin.AdMobPlugin.AdMobPlugin", function(require, exports, module) { var AdMobPlugin = {
	AD_SIZE : {
		BANNER : "BANNER",
		IAB_MRECT : "IAB_MRECT",
		IAB_BANNER : "IAB_BANNER",
		IAB_LEADERBOARD : "IAB_LEADERBOARD",
		SMART_BANNER : "SMART_BANNER"
	},
	createBannerView : function(options, successCallback, failureCallback) {
		var defaults = {
			'publisherId' : undefined,
			'adSize' : undefined,
			'positionAtTop' : false
		};
		var requiredOptions = [ 'publisherId', 'adSize' ];

		// Merge optional settings into defaults.
		for ( var key in defaults) {
			if (typeof options[key] !== 'undefined') {
				defaults[key] = options[key];
			}
		}

		// Check for and merge required settings into defaults.
		requiredOptions.forEach(function(key) {
			if (typeof options[key] === 'undefined') {
				failureCallback('Failed to specify key: ' + key + '.');
				return;
			}
			defaults[key] = options[key];
		});

		cordova.exec(successCallback, failureCallback, "AdMobPlugin",
				"createBannerView", [ {
					publisherId : defaults['publisherId'],
					adSize : defaults['adSize'],
					positionAtTop : defaults['positionAtTop']
				} ]);
	},
	requestAd : function(options, successCallback, failureCallback) {
		var defaults = {
			'isTesting' : false,
			'extras' : {}
		};

		for ( var key in defaults) {
			if (typeof options[key] !== 'undefined') {
				defaults[key] = options[key];
			}
		}
		cordova.exec(successCallback, failureCallback, "AdMobPlugin",
				"requestAd", [ {
					isTesting : defaults['isTesting'],
					extras : defaults['extras']
				} ]);

	},
	killAd : function(successCallback, failureCallback) {
		cordova.exec(successCallback, failureCallback, "AdMobPlugin", "killAd",
				[ {} ]);
	}
}

module.exports = AdMobPlugin;

});
